//------------------------- CSPPage.h -------------------------

//*************************************************************
//*****       Copyright 2002 - 2008 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************


#ifndef _CSPPAGE
#define _CSPPAGE

#include "CSPConf.h"
#include "CSPLib.h"
#include "CSPString.h"
#include <httpext.h>

class CSPOBJ_CLASS_EXPORT CSPPage : public CSPObject
{
	public:
		CSPString Name;
		CSPString ScriptFilename;
		CSPString ScriptFilenameExtension;
		CSPString ScriptDirectory;
		CSPString ScriptFullPath;

		CSPPage();
		CSPPage( EXTENSION_CONTROL_BLOCK* pECB );
		virtual ~CSPPage();

	protected:
};

#endif
