//---------------------- CSPHttpObjects.h ---------------------

//*************************************************************
//*****       Copyright 2002 - 2008 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************


#ifndef _CSPHTTPOBJECTS
#define _CSPHTTPOBJECTS

#include "CSPConf.h"
#include "CSPLib.h"
#include "CSPRequest.h"
#include "CSPResponse.h"
#include "CSPApplication.h"
#include "CSPSession.h"
#include "CSPPage.h"

class CSPOBJ_CLASS_EXPORT CSPHttpObjects : public CSPObject
{
public:
	const CSPRequest& Request;
	CSPResponse& Response;
	CSPApplication& Application;
	CSPSession& Session;
	const CSPPage& Page;


	CSPHttpObjects( const CSPRequest& RequestObj, CSPResponse& ResponseObj, CSPSession& SessionObj, CSPApplication& ApplicationObj, const CSPPage& PageObj );
	virtual ~CSPHttpObjects();
};

#endif
